## javax.persistence.metamodel
Interface IdentifiableType<X>

All Superinterfaces:
  ManagedType<X>, Type<X>

All Known Subinterfaces:
  EntityType<X>, MappedSuperclassType<X>

    public interface IdentifiableType<X>

extends ManagedType<X>

Nested Class Summary

Nested classes/interfaces inherited from interface javax.persistence.metamodel.Type
`Type.PersistenceType`

Method Summary

`

`<Y> SingularAttribute<X,Y>`

`

`getDeclaredId(java.lang.Class<Y> type)`

`

`<Y> SingularAttribute<X,Y>`

`

`getDeclaredVersion(java.lang.Class<Y> type)`

`

`<Y> SingularAttribute<? super X,Y>`

`

`getId(java.lang.Class<Y> type)`

`java.util.Set<SingularAttribute<? super X,?>>` `getIdClassAttributes()`
`Type<?>` `getIdType()`
`IdentifiableType<? super X>` `getSupertype()`

`

`<Y> SingularAttribute<? super X,Y>`

`

`getVersion(java.lang.Class<Y> type)`

`boolean` `hasSingleIdAttribute()`
`boolean` `hasVersionAttribute()`

Methods inherited from interface javax.persistence.metamodel.ManagedType

`getAttribute, getAttributes, getCollection, getCollection, getDeclaredAttribute, getDeclaredAttributes, getDeclaredCollection, getDeclaredCollection, getDeclaredList, getDeclaredList, getDeclaredMap, getDeclaredMap, getDeclaredPluralAttributes, getDeclaredSet, getDeclaredSet, getDeclaredSingularAttribute, getDeclaredSingularAttribute, getDeclaredSingularAttributes, getList, getList, getMap, getMap, getPluralAttributes, getSet, getSet, getSingularAttribute, getSingularAttribute, getSingularAttributes`

Methods inherited from interface javax.persistence.metamodel.Type
`getJavaType, getPersistenceType`

Method Detail

### getId

    <Y> SingularAttribute<? super X,Y> getId(java.lang.Class<Y> type)

### getDeclaredId

    <Y> SingularAttribute<X,Y> getDeclaredId(java.lang.Class<Y> type)

### getVersion

    <Y> SingularAttribute<? super X,Y> getVersion(java.lang.Class<Y> type)

### getDeclaredVersion

    <Y> SingularAttribute<X,Y> getDeclaredVersion(java.lang.Class<Y> type)

### getSupertype

    IdentifiableType<? super X> getSupertype()

### hasSingleIdAttribute

    boolean hasSingleIdAttribute()

### hasVersionAttribute

    boolean hasVersionAttribute()

### getIdClassAttributes

    java.util.Set<SingularAttribute<? super X,?>> getIdClassAttributes()

### getIdType

    Type<?> getIdType()